Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 526844 - Review Request: cirkuit - A frontend for TikZ and circuit_macros
Summary: Review Request: cirkuit - A frontend for TikZ and circuit_macros
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 526997 530755 530756
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-02 02:31 UTC by Ben Boeckel
Modified: 2010-03-30 16:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 16:04:46 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2009-10-02 02:31:25 UTC
Spec URL: http://benboeckel.net/packaging/cirkuit/cirkuit.spec
SRPM URL: http://benboeckel.net/packaging/cirkuit/cirkuit-0.2.1-1.fc11.src.rpm

Description:
Cirkuit is a KDE4 application to generate publication-ready figures. It is a
KDE frontend for the Circuit macros by Dwight Aplevich and for the TikZ
language. Cirkuit builds a live preview of the source code and can export the
resulting images in several formats (EPS, PDF, PNG, SVG, ...).

Comment 1 Chitlesh GOORAH 2009-10-02 04:51:33 UTC
#001: Requires:       pdf2svg
Is there a package called pdf2svg on fedora repositories ?


#002: missing icon on gnome menu

#003: Upon launch, I got a dialog box stating:
Circuit Macros could not be found on your system. The application will not work if the macros are not installed. Do you want to proceed with the installation?

Comment 2 Ben Boeckel 2009-10-02 13:50:58 UTC
(In reply to comment #1)
> #001: Requires:       pdf2svg
> Is there a package called pdf2svg on fedora repositories ?
Whoops, I also threw a pdf2svg package together. I'll put that up for review today.

> #002: missing icon on gnome menu
I'll look at the .desktop file. The icon also probably need to be put into %{_datadir}/icons/

> #003: Upon launch, I got a dialog box stating:
> Circuit Macros could not be found on your system. The application will not work
> if the macros are not installed. Do you want to proceed with the installation?  
I'm not sure what this is. With some testing, I could get some drawings. Maybe the code to checks whether it exists needs some tweaking.

Comment 3 Chitlesh GOORAH 2009-10-03 10:30:36 UTC
I'm taking up the review.

Comment 4 Chitlesh GOORAH 2009-10-04 12:23:45 UTC
(In reply to comment #2)
> > #002: missing icon on gnome menu
> I'll look at the .desktop file. The icon also probably need to be put into
> %{_datadir}/icons/

This can be fixed by using the proper scriptlets. Please read the following section
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

#001: Missing desktop file treatment with desktop-file-utils
https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

#002: You have %{_kde4_datadir}/mime/packages/cirkuit.xml
Hence you should abide to mimeinfo scriptlets
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

Comment 5 Chitlesh GOORAH 2009-10-04 12:44:38 UTC
Can you give me an example for 
* Tikz file and
* gnuplot file so that I can test cirkuit.

Comment 6 Chitlesh GOORAH 2009-10-04 12:47:09 UTC
I think the .desktop file should be in the "Electronics" category rather than "Graphics".

Also add "Requires : electronics-menu"

Comment 7 Chitlesh GOORAH 2009-12-19 18:07:34 UTC
I'll be in Fedora-Vacation for at least one month. I won't be able to do the review, thus removing myself as the reviewer.

Comment 8 Thomas Spura 2010-03-30 16:04:46 UTC
Because the dependend bug is closed as a result of lack of responsivenes of the same requestee


-> closing


Note You need to log in before you can comment on or make changes to this bug.